<?php
namespace MSP\CashOnDelivery\Model\Sales\Order;

class CreditmemoFactory extends \Magento\Sales\Model\Order\CreditmemoFactory
{

    /**
     * Initialize creditmemo state based on requested parameters
     *
     * @param Creditmemo $creditmemo
     * @param array $data
     * @return void
     */
    protected function initData($creditmemo, $data)
    {
        if (isset($data['shipping_amount'])) {
            $creditmemo->setBaseShippingAmount((double)$data['shipping_amount']);
        }
        if (isset($data['adjustment_positive'])) {
            $creditmemo->setAdjustmentPositive($data['adjustment_positive']);
        }
        if (isset($data['adjustment_negative'])) {
            $creditmemo->setAdjustmentNegative($data['adjustment_negative']);
        }
        if (isset($data['base_msp_cod_amount'])) {
            $creditmemo->setBaseMspCodAmount($data['base_msp_cod_amount']);
        }
        if (isset($data['gw_base_price_incl_tax'])) {
            $creditmemo->setGwBasePriceInclTax($data['gw_base_price_incl_tax']);
        }
    }
}
